#
# spec file for package python-pbr-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pbr-doc
Version:        3.1.1
Release:        lp150.2.3
Summary:        Documentation for python-pbr
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/pbr
Source:         https://files.pythonhosted.org/packages/source/p/pbr/pbr-%{version}.tar.gz
Source1:        python-pbr-rpmlintrc
BuildRequires:  fdupes
# Documentation requirements:
BuildRequires:  python3-Sphinx >= 1.1.2
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       %{python_module pbr-doc = %{version}}

%description
This package contains documentation files for python-pbr

%prep
%setup -q -n pbr-%{version}
# Get rid of ugly build-time deps that require network:
sed -i "s/, 'sphinx\.ext\.intersphinx'//" doc/source/conf.py

%build
python3 setup.py build_sphinx
rm doc/build/html/.buildinfo

%install
mkdir -p %{buildroot}%{_docdir}/python-pbr
cp -r doc/build/html %{buildroot}%{_docdir}/python-pbr/

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_docdir}/python-pbr/

%changelog
* Thu Jun 29 2017 tbechtold@suse.com
- update to 3.1.1:
  * Restore previous IP binding
  * allow user to override the output location of api docs
  * fix tests based on API change in Sphinx
  * Updated from global requirements
  * Add binding option for WSGI server
  * Ignore index URL lines in requirements.txt files
* Fri Jun 23 2017 jmatejek@suse.com
- drop upstreamed make_oslosphinx_optional.patch
* Wed Mar 29 2017 tbechtold@suse.com
- Fix Source url
* Thu Mar  9 2017 aplanas@suse.com
- Add make_oslosphinx_optional.patch
  https://review.openstack.org/#/c/443555/
* Wed Mar  8 2017 aplanas@suse.com
- Update to pbr-2.0.0
  * tox: Don't set skipsdist=True
  * Stop using 'warnerrors'
  * doc: Clarify sections in 'setup.cfg'
  * Updated from global requirements
  * Remove discover from test-requirements
  * Add Constraints support
  * Don't raise exception on missing man pages
  * Updated from global requirements
  * Clean imports in code
  * Updated from global requirements
  * Docstrings should not start with a space
  * Changed the home-page link
  * Update .coveragerc after the removal of openstack directory
  * coverage package name option, doc improvement
  * Updated from global requirements
  * Deprecated warning for SafeConfigParser
  * Add more words to a confusing error message
  * Don't ignore data-files
  * Change assertTrue(isinstance()) by optimal assert
  * Fix handling of old git log output
  * Fix typo in the index.rst
  * Expose deb version to match exposing rpm version
  * Replace OpenStack LLC with OpenStack Foundation
  * Updated from global requirements
  * Fix pypy soabi tests
  * Add Python 3.5 classifier and venv
  * Fix argument order for assertEqual to (expected, observed)
  * Move to oslosphinx
  * Updated from global requirements
  * Restore warnerrors behavior and support Sphinx 1.4
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Fix pypy wsgi tests
  * Remember the insertion order for pbr.json
- Remove 0001-Don-t-ignore-data-files.patch (included)
- Remove 0001-Don-t-raise-exception-on-missing-man-pages.patch (included)
* Thu Feb 23 2017 jmatejek@suse.com
- change to build only with python3 Sphinx
- provide $flavor-doc for all pythons
- include patches so that build doesn't fail
  on manpages
* Tue May 24 2016 tbechtold@suse.com
- Fix pypi source
* Tue May 24 2016 tbechtold@suse.com
- update to 1.10.0:
  * File is wrongly marked as executable
  * Fix wsgiref script use with oslo.config
  * Update Preversioning explanation to avoid double that
  * Handle IndexError during version string parsing
  * Correct server test
  * Updated from global requirements
  * Fix soabi tests with pypy
  * package: fix wrong catch in email parsing
  * Do not convert git tags when searching history
  * Include wsgi_scripts in generated wheels
  * Correct the indentation in the classifiers example
  * Do not silently drop markers that fail to evaluate
  * Clarifications around tags and version numbers
  * Correct typo - s/enabeld/enabled/
  * Use apt-cache generated packages to provide build deps
  * fix some variable names
  * Don't attempt to test with 0.6c11 with Py3
  * Support entry point patching on setuptools < 12
  * Updated from global requirements
  * Split changelog on nulls instead of (
  * Add libjpeg and liberasurecode for tests
  * Handle markers to support sdist on pip < 6
  * Deprecated tox -downloadcache option removed
  * passenv integration environment variables re-enabling integration tests
  * Enable pep8 H405 tests
  * Add patch to properly get all commands from dist
  * doc: Remove 'MANIFEST.in'
  * doc: Trivial cleanup of 'index.rst'
  * doc: Add deprecation note for 'requirements-pyN'
  * doc: Restructure 'Requirements' section
  * doc: Restructure 'Usage' section
  * doc: Add details of manifest generation
  * Support git://, git+ssh://, git+https:// without -e flag
  * More support Sphinx >=1.3b1 and <1.3.1
  * Fix docs for markers
  * Do not error when running pep8 with py3
  * Ensure changelog log output is written if it already exists
  * Cleanup jeepyb and pypi-mirror special casing
* Fri Apr  1 2016 tbechtold@suse.com
- update to 1.8.1:
  * Handle the case where cmd.distribution has no pbr attribute
  * test_integration cleanups
  * Remove redundant testscenarios glue
  * Add standard code coverage configuration file
  * Add shields.io version/downloads links/badges into README.rst
* Sun Sep 20 2015 tbechtold@suse.com
- update to 1.8.0:
  * Strip comments present in setup.cfg
  * Protect WSGI application with a critical section
- Remove 0001-Remove-sphinx_config.init_values-manual-call.patch
  Fixed upstream
* Wed Sep  9 2015 tbechtold@suse.com
- update to 1.7.0:
  * Have pbr egg_info.writer check PBR is enabled
* Wed Aug 26 2015 tbechtold@suse.com
- update to 1.6.0:
  * Strip comments in requirements files
  * Handle git being entirely absent
  * We require the use of setuptools
  * Fix retrieval of commit data and most recent tag
* Tue Aug 11 2015 seife+obs@b1-systems.com
- update to version 1.4.0
  * Fix docs for environment markers in extras
  * Export ChangeLog and AUTHORS in install
  * Show how long the git querying takes
  * Add wsgi_scripts support to PBR
  * Updated from global requirements
- requires python-mock >= 1.2
* Mon Aug  3 2015 toddrme2178@gmail.com
- Split documentation into own package to avoid dependency loop
